package com.fjhx.sale.service.quotation;

import com.fjhx.sale.entity.quotation.po.QuotationPay;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quotation.vo.QuotationPayVo;
import com.fjhx.sale.entity.quotation.dto.QuotationPaySelectDto;
import com.fjhx.sale.entity.quotation.dto.QuotationPayDto;


/**
 * <p>
 * 报价 -收费项目表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
public interface QuotationPayService extends BaseService<QuotationPay> {

    /**
     * 报价 -收费项目表分页
     */
    Page<QuotationPayVo> getPage(QuotationPaySelectDto dto);

    /**
     * 报价 -收费项目表明细
     */
    QuotationPayVo detail(Long id);

    /**
     * 报价 -收费项目表新增
     */
    void add(QuotationPayDto quotationPayDto);

    /**
     * 报价 -收费项目表编辑
     */
    void edit(QuotationPayDto quotationPayDto);

    /**
     * 报价 -收费项目表删除
     */
    void delete(Long id);

}
